com.amazon.redshift.util

## Class QuerySanitizer

- java.lang.Object
- - com.amazon.redshift.util.QuerySanitizer

    public class QuerySanitizer
    extends Object

The utility class implements credentials removal from query text. It is based on the PADB implementation in padb/src/xen_utils/log_statement.cpp with the following change: it will apply to any query text regardless of the SQL statement type.

### Constructor Summary

Constructors
Constructor and Description
`QuerySanitizer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `filterCredentials(String queryText)`
`protected static String` `processAccessKey(String queryText)`
`protected static String` `processCreds(String queryText)`
`protected static String` `processEncryptKey(String queryText)`
`protected static String` `processIamRole(String queryText)`
`protected static String` `processKmsKey(String queryText)`
`protected static String` `processLingeringSecrets(String queryText)`
`protected static String` `processPassword(String queryText)`
`protected static String` `processSecretKey(String queryText)`
`protected static String` `processSessionToken(String queryText)`
`protected static String` `processSymKey(String queryText)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QuerySanitizer

    public QuerySanitizer()

### Method Detail

#### filterCredentials

    public static String filterCredentials(String queryText)

#### processPassword

    protected static String processPassword(String queryText)

#### processCreds

    protected static String processCreds(String queryText)

#### processAccessKey

    protected static String processAccessKey(String queryText)

#### processSecretKey

    protected static String processSecretKey(String queryText)

#### processIamRole

    protected static String processIamRole(String queryText)

#### processSymKey

    protected static String processSymKey(String queryText)

#### processKmsKey

    protected static String processKmsKey(String queryText)

#### processSessionToken

    protected static String processSessionToken(String queryText)

#### processLingeringSecrets

    protected static String processLingeringSecrets(String queryText)

#### processEncryptKey

    protected static String processEncryptKey(String queryText)